#指定构建镜像的起始镜像
FROM anolis-registry.cn-zhangjiakou.cr.aliyuncs.com/openanolis/dragonwell:17.0.4.0.4.8-standard-ga-8.6
#定义时区参数
ENV TZ=Asia/Shanghai
#设置时区
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo '$TZ' > /etc/timezone

#挂载目录
VOLUME ["/home/logs/cloud-etl-rule"]

#拷贝执行jar包
COPY ./cloud-rule-server/target/cloud-etl-rule.jar /home/app.jar
#拷贝规则引擎需要引入的包
COPY ./lib /home/lib

ENTRYPOINT ["java","-Dfile.encoding=utf-8","-jar"]


CMD ["/home/app.jar"]
